from gcs_cli.commands.storage_gateway.create import create_command
from gcs_cli.commands.storage_gateway.delete import storage_gateway_delete
from gcs_cli.commands.storage_gateway.list import storage_gateway_list
from gcs_cli.commands.storage_gateway.show import storage_gateway_show
from gcs_cli.commands.storage_gateway.update import update_command
from gcs_cli.parsing import globus_group


@globus_group(name="storage-gateway")
def storage_gateway_command() -> None:
    """Manage storage gateways"""


storage_gateway_command.add_command(storage_gateway_list)
storage_gateway_command.add_command(storage_gateway_show)
storage_gateway_command.add_command(storage_gateway_delete)
storage_gateway_command.add_command(create_command)
storage_gateway_command.add_command(update_command)
