from . import db
from .helpers import UTCArrowType, ensure_arrowtime


class Base(db.Model):
    __abstract__ = True

    created_at = db.Column(
        UTCArrowType,
        default=db.func.now(),
        nullable=False,
        doc="Timestamp when the object is created in appsync",
    )
    updated_at = db.Column(
        UTCArrowType,
        default=db.func.now(),
        nullable=False,
        doc="Timestamp when the object was last updated in appsync",
    )

    @db.validates("created_at", "updated_at")
    def _ensure_arrowtime(self, key, value):
        return ensure_arrowtime(value)
