import marshmallow as ma
from .data_type import DataTypeSchema


class AccountSchema(ma.Schema):
    _DATA_TYPE = "account#1.0.0"
    DATA_TYPE = ma.fields.Str(
        default=_DATA_TYPE, validate=[ma.validate.Equal(_DATA_TYPE)]
    )
    username = ma.fields.String()
    storage_gateway_id = ma.fields.UUID()
    identity_id = ma.fields.UUID()


account_schema = AccountSchema()

DataTypeSchema.register_schema(account_schema)
