import marshmallow as ma

from .data_type import DataTypeSchema


class InvalidInputItem(ma.Schema):
    message = ma.fields.String(required=True, allow_none=False)
    _property = ma.fields.String(
        data_key="property", attribute="property", required=False, allow_none=False
    )


class InvalidInputSchema(ma.Schema):
    _DATA_TYPE = "invalid_input#1.0.0"
    DATA_TYPE = ma.fields.String(
        required=True,
        allow_none=False,
        default=_DATA_TYPE,
        validate=[ma.validate.Equal(_DATA_TYPE)],
    )
    errors = ma.fields.List(ma.fields.Nested(InvalidInputItem))


invalid_input_schema = InvalidInputSchema()
DataTypeSchema.register_schema(invalid_input_schema)
