import marshmallow as ma

from .data_type import DataTypeSchema


class ResourceConflictSchema(ma.Schema):
    _DATA_TYPE = "resource_conflict#1.0.0"
    DATA_TYPE = ma.fields.String(
        required=True,
        allow_none=False,
        default=_DATA_TYPE,
        validate=[ma.validate.Equal(_DATA_TYPE)],
    )
    resources = ma.fields.List(ma.fields.UUID)


resource_conflict_schema = ResourceConflictSchema()
DataTypeSchema.register_schema(resource_conflict_schema)
