import click
import re
from globus.manager.constants import HOSTNAME_PATTERN, DOMAIN_NAME_PATTERN


def verify_hostname_option(ctx, param, value):
    if value and not re.match(HOSTNAME_PATTERN, value):
        raise click.BadParameter("Invalid hostname: " + value)
    return value


def verify_domain_name_option(ctx, param, value):
    if value and not re.match(DOMAIN_NAME_PATTERN, value):
        raise click.BadParameter("Invalid domain name: " + value)
    return value
